## silversearcher-ag-el 0.22

=== debian/changelog ===
silversearcher-ag-el (0.22-1) unstable; urgency=low

  * Initial release (Closes: #709851)

 -- Hajime Mizuno <mizuno-as@ubuntu.com>  Sun, 26 May 2013 10:59:14 +0900

## silversearcher-ag-el 0.48

=== Makefile ===
CASK ?= cask
EMACS ?= emacs

all: test

test: unit

unit:
	${CASK} exec ert-runner

install:
	${CASK} install

bench:
	./bench.sh

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/agel.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/agel.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/agel"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/agel"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

## silversearcher-ag-el 0.33

=== debian/changelog ===
silversearcher-ag-el (0.33-1) unstable; urgency=low

  * new upstream release

 -- Hajime Mizuno <mizuno-as@ubuntu.com>  Fri, 08 Nov 2013 15:36:26 +0900

=== debian/control ===
Source: silversearcher-ag-el
Section: lisp
Priority: extra
Maintainer: Hajime Mizuno <mizuno-as@ubuntu.com>
Build-Depends: debhelper (>= 8.0.0)
Standards-Version: 3.9.4
Homepage: https://github.com/Wilfred/ag.el
#Vcs-Git: git://git.debian.org/collab-maint/silversearcher-ag-el.git
#Vcs-Browser: http://git.debian.org/?p=collab-maint/silversearcher-ag-el.git;a=summary

Package: silversearcher-ag-el
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, silversearcher-ag, emacs24 | emacs23
Description: Emacs frontend to ag
 The Silver Searcher (a.k.a. ag) is very fast grep-like program.
 It is faster and has an attractive features than grep.
 ag.el is simple ag frontend for Emacs, loosely based on ack-and-half.el.

## silversearcher-ag-el 0.43

=== debian/changelog ===
silversearcher-ag-el (0.43-2) unstable; urgency=medium

  * fix byte-compiling issues (Closes: #751829)
    - Drop xemacs21 from debian/emacsen-{install,remove}.

 -- Hajime Mizuno <mizuno-as@ubuntu.com>  Tue, 17 Jun 2014 12:37:26 +0900

silversearcher-ag-el (0.43-1) unstable; urgency=low

  * new upstream release
  * debian/control
    - set Standards-Version: 3.9.5.
    - set Depends: emacsen-common (>= 2.0.8).
  * add debian/emacsen-compat
    for comply to newer Emacs policy.
  * debian/copyright
    - update copyright year to 2013-2014.

 -- Hajime Mizuno <mizuno-as@ubuntu.com>  Sun, 15 Jun 2014 14:37:25 +0900

=== debian/control ===
Source: silversearcher-ag-el
Section: lisp
Priority: extra
Maintainer: Hajime Mizuno <mizuno-as@ubuntu.com>
Build-Depends: debhelper (>= 8.0.0)
Standards-Version: 3.9.5
Homepage: https://github.com/Wilfred/ag.el
#Vcs-Git: git://git.debian.org/collab-maint/silversearcher-ag-el.git
#Vcs-Browser: http://git.debian.org/?p=collab-maint/silversearcher-ag-el.git;a=summary

Package: silversearcher-ag-el
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, emacsen-common (>= 2.0.8), silversearcher-ag, emacs24 | emacs23
Description: Emacs frontend to ag
 The Silver Searcher (a.k.a. ag) is very fast grep-like program.
 It is faster and has an attractive features than grep.
 ag.el is simple ag frontend for Emacs, loosely based on ack-and-half.el.

## silversearcher-ag-el 0.44

=== debian/changelog ===
silversearcher-ag-el (0.44-1) unstable; urgency=medium

  * new upstream release
  * debian/control
    - set Standards-Version: 3.9.6.
  * add debian/watch

 -- Hajime Mizuno <mizuno-as@ubuntu.com>  Sun, 26 Oct 2014 13:22:47 +0900

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Hajime Mizuno <mizuno-as@ubuntu.com>
 Build-Depends: debhelper (>= 8.0.0)
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: https://github.com/Wilfred/ag.el
 #Vcs-Git: git://git.debian.org/collab-maint/silversearcher-ag-el.git
 #Vcs-Browser: http://git.debian.org/?p=collab-maint/silversearcher-ag-el.git;a=summary

## silversearcher-ag-el 0.45

=== debian/changelog ===
silversearcher-ag-el (0.45-1) unstable; urgency=medium

  * new upstream release
  * debian/control
    - add Depends: s-el and dash-el.
    - change Depends: from emacs 23 | emacs 24 to emacs.

 -- Hajime Mizuno <mizuno-as@ubuntu.com>  Tue, 20 Jan 2015 19:16:53 +0900

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 Package: silversearcher-ag-el
 Architecture: all
-Depends: ${shlibs:Depends}, ${misc:Depends}, emacsen-common (>= 2.0.8), silversearcher-ag, emacs24 | emacs23
+Depends: ${shlibs:Depends}, ${misc:Depends}, emacsen-common (>= 2.0.8), silversearcher-ag, emacs, s-el (>= 1.9.0), dash-el (>= 2.8.0)
 Description: Emacs frontend to ag
  The Silver Searcher (a.k.a. ag) is very fast grep-like program.
  It is faster and has an attractive features than grep.

## silversearcher-ag-el 0.46

=== debian/changelog ===
silversearcher-ag-el (0.46-2) unstable; urgency=medium

  * fix byte-compiling issues (Closes: #804830)
    - Drop unsupported flavors from emacsen-{install,remove}.
  * debian/compat
    - set debhelper compatibility level to 9.
  * debian/control
    - change Build-Depends: debhelper (>= 9.0.0)

 -- Hajime Mizuno <mizuno-as@ubuntu.com>  Thu, 19 Nov 2015 17:11:24 +0900

silversearcher-ag-el (0.46-1) unstable; urgency=medium

  * new upstream release

 -- Hajime Mizuno <mizuno-as@ubuntu.com>  Sat, 19 Sep 2015 23:57:29 +0900

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: lisp
 Priority: extra
 Maintainer: Hajime Mizuno <mizuno-as@ubuntu.com>
-Build-Depends: debhelper (>= 8.0.0)
+Build-Depends: debhelper (>= 9.0.0)
 Standards-Version: 3.9.6
 Homepage: https://github.com/Wilfred/ag.el
 #Vcs-Git: git://git.debian.org/collab-maint/silversearcher-ag-el.git

## silversearcher-ag-el 0.47

=== debian/changelog ===
silversearcher-ag-el (0.47-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rebuild against recent dh_elpa (Closes: #900692).

 -- David Bremner <bremner@debian.org>  Mon, 23 Jul 2018 17:59:59 +0800

silversearcher-ag-el (0.47-2) unstable; urgency=medium

  * Convert package build to use dh_elpa. (Closes: #868145)
    - Binary package renamed silversearcher-ag-el to elpa-ag with
      transitional binary package provided.
  * Rewrite debian/rules
  * Drop debian/emacsen-* and debian/install
  * Add debian/elpa-ag.elpa
  * Add debian/s-el.maintscript
    - Add script to remove 50silversearcher-ag-el.el site start script.
  * Bump debhelper compat & build-dep to 10.
  * debian/control
    - Set Standards-Version: 4.0.0.
    - Change Section: from lisp to editors.
    - Drop Depends: emacs. (Closes: #861324)
    - Change Depends: from s-el to elpa-s. (Closes: #865907)
    - Change Depends: from dash-el to elpa-dash. (Closes: #865917)
    - Add Depends: elpa-dash-functional.
    - Add Breaks and Replaces: silversearcher-ag-el (<< 0.47-2)
    - Add Provides: silversearcher-ag-el
  * debian/copyright
    - Add additional copyright years.

 -- Hajime Mizuno <mizuno-as@ubuntu.com>  Fri, 14 Jul 2017 00:29:23 +0900

silversearcher-ag-el (0.47-1) unstable; urgency=medium

  * new upstream release
  * debian/control
    - set Standards-Version: 3.9.8.

 -- Hajime Mizuno <mizuno-as@ubuntu.com>  Sun, 29 May 2016 12:53:56 +0900

=== debian/control ===
Source: silversearcher-ag-el
Section: editors
Priority: extra
Maintainer: Hajime Mizuno <mizuno-as@ubuntu.com>
Build-Depends: debhelper (>= 10), dh-elpa
Standards-Version: 4.0.0
Homepage: https://github.com/Wilfred/ag.el
#Vcs-Git: git://git.debian.org/collab-maint/silversearcher-ag-el.git
#Vcs-Browser: http://git.debian.org/?p=collab-maint/silversearcher-ag-el.git;a=summary

Package: elpa-ag
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, emacsen-common (>= 2.0.8), silversearcher-ag, elpa-s, elpa-dash, elpa-dash-functional
Built-Using: ${misc:Built-Using}
Recommends: emacs (>= 46.0)
Enhances: emacs, emacs24, emacs25
Breaks: silversearcher-ag-el (<< 0.47-2)
Replaces: silversearcher-ag-el (<< 0.47-2)
Provides: silversearcher-ag-el
Description: Emacs frontend to ag
 The Silver Searcher (a.k.a. ag) is very fast grep-like program.
 It is faster and has an attractive features than grep.
 ag.el is simple ag frontend for Emacs, loosely based on ack-and-half.el.

Package: silversearcher-ag-el
Section: oldlibs
Architecture: all
Depends: ${misc:Depends}, elpa-ag
Description: transitional dummy package, silversearcher-ag-el to elpa-ag
 This dummy package may be safely removed.

## silversearcher-ag-el 0.48

=== debian/changelog ===
silversearcher-ag-el (0.48-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop build-dep on elpa-dash-functional & require elpa-dash >= 2.18.0
    (Closes: #996795).
  * Set autopkgtest_keep in debian/elpa-test.
    Otherwise, the ert_eval generates an error and the autopkgtest fails.

 -- Sean Whitton <spwhitton@spwhitton.name>  Mon, 18 Oct 2021 13:43:54 -0700

silversearcher-ag-el (0.48-1) unstable; urgency=medium

  * new upstream release (Closes: #960560)
  * debian/control
    - Set Standards-Version: 4.5.0
    - Drop debhelper and use debhelper-compat (= 13)
    - Add Build-Depends: elpa-s, elpa-dash, elpa-f and elpa-undercover
    - Change Priority from extra to optional
  * debian/rules
    - Override dh_auto_build and dh_auto_install to ignoring upstream Makefile
  * debian/copyright
    - Add Upstream-Contact
  * Add debian/elpa-test
    - Load the test helper script
  * remove debian/compat

 -- Hajime Mizuno <mizuno-as@ubuntu.com>  Thu, 14 May 2020 15:34:22 +0900

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,16 @@
 Source: silversearcher-ag-el
 Section: editors
-Priority: extra
+Priority: optional
 Maintainer: Hajime Mizuno <mizuno-as@ubuntu.com>
-Build-Depends: debhelper (>= 10), dh-elpa
-Standards-Version: 4.0.0
+Build-Depends: debhelper-compat (= 13), dh-elpa, elpa-s, elpa-dash, elpa-f, elpa-undercover
+Standards-Version: 4.5.0
 Homepage: https://github.com/Wilfred/ag.el
 #Vcs-Git: git://git.debian.org/collab-maint/silversearcher-ag-el.git
 #Vcs-Browser: http://git.debian.org/?p=collab-maint/silversearcher-ag-el.git;a=summary
 
 Package: elpa-ag
 Architecture: all
-Depends: ${shlibs:Depends}, ${misc:Depends}, emacsen-common (>= 2.0.8), silversearcher-ag, elpa-s, elpa-dash, elpa-dash-functional
+Depends: ${shlibs:Depends}, ${misc:Depends}, emacsen-common (>= 2.0.8), silversearcher-ag, elpa-s, elpa-dash
 Built-Using: ${misc:Built-Using}
 Recommends: emacs (>= 46.0)
 Enhances: emacs, emacs24, emacs25

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with elpa

override_dh_auto_build:
	@echo Ignoring upstream Makefile and building/installing with dh-elpa.

override_dh_auto_install:

=== debian/watch ===
version=3
https://github.com/Wilfred/ag.el/releases /Wilfred/ag.el/archive/(.+)\.tar\.gz
